package com.gic.haoban.manage.web.vo.chat;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.gic.haoban.manage.web.vo.wechatwork.StoreGroupCommonVO;
import com.gic.web.common.jsonSeralizer.PhoneNumberJsonSeralizer;

import java.io.Serializable;

/**
 * @author shangfeng
 * @date 2024-06-20 10:47:30
 */
public class SingleChatDetailVO extends StoreGroupCommonVO implements Serializable {
    private static final long serialVersionUID = 8863833833069049386L;

    /**
     * 会员id
     */
    private String memberId;

    /**
     * 客户姓名
     */
    private String memberName;

    /**
     * 会员昵称
     */
    private String memberNick;

    /**
     * 客户手机号
     */
    @JsonSerialize(using = PhoneNumberJsonSeralizer.class)
    private String memberPhone;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 导购名称
     */
    private String clerkName;

    /**
     * 导购code
     */
    private String clerkCode;


    /**
     * 员工id
     */
    private String staffId;


    /**
     * 员工名称
     */
    private String staffName;


    /**
     * 员工code
     */
    private String staffCode;

    /**
     * 会话发送人
     */
    private String sendType;

    /**
     * 会话内容
     */
    private String content;

    /**
     * 会话类型
     */
    private String msgType;


    /**
     * 会话时间
     */
    private String sendTime;

    private Long rn ;

    public Long getRn() {
        return rn;
    }

    public void setRn(Long rn) {
        this.rn = rn;
    }

    public String getMemberId() {
        return memberId;
    }

    public void setMemberId(String memberId) {
        this.memberId = memberId;
    }

    public String getMemberName() {
        return memberName;
    }

    public void setMemberName(String memberName) {
        this.memberName = memberName;
    }

    public String getMemberNick() {
        return memberNick;
    }

    public void setMemberNick(String memberNick) {
        this.memberNick = memberNick;
    }

    public String getMemberPhone() {
        return memberPhone;
    }

    public void setMemberPhone(String memberPhone) {
        this.memberPhone = memberPhone;
    }

    public String getClerkId() {
        return clerkId;
    }

    public void setClerkId(String clerkId) {
        this.clerkId = clerkId;
    }

    public String getClerkName() {
        return clerkName;
    }

    public void setClerkName(String clerkName) {
        this.clerkName = clerkName;
    }

    public String getClerkCode() {
        return clerkCode;
    }

    public void setClerkCode(String clerkCode) {
        this.clerkCode = clerkCode;
    }

    public String getStaffId() {
        return staffId;
    }

    public void setStaffId(String staffId) {
        this.staffId = staffId;
    }

    public String getStaffName() {
        return staffName;
    }

    public void setStaffName(String staffName) {
        this.staffName = staffName;
    }

    public String getStaffCode() {
        return staffCode;
    }

    public void setStaffCode(String staffCode) {
        this.staffCode = staffCode;
    }

    public String getSendType() {
        return sendType;
    }

    public void setSendType(String sendType) {
        this.sendType = sendType;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public String getMsgType() {
        return msgType;
    }

    public void setMsgType(String msgType) {
        this.msgType = msgType;
    }

    public String getSendTime() {
        return sendTime;
    }

    public void setSendTime(String sendTime) {
        this.sendTime = sendTime;
    }
}
